Bug Hunting Session
Bug 124127 - Arabic version libreoffice - icon numeric list on tools box look not good
Summary: Arabic version libreoffice - icon numeric list on tools box look not good
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2 all versions
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.4.0 target:6.3.0.1
Keywords:
Depends on:
Blocks: Icon-Themes
  Show dependency treegraph
 
Reported: 2019-03-17 08:09 UTC by seven
Modified: 2019-06-29 22:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample with hint where i put red arrow (31.09 KB, image/png)
2019-03-17 08:09 UTC, seven
Details
More correct test - problem in locale (255.69 KB, image/jpeg)
2019-03-20 15:58 UTC, seven
Details

Note You need to log in before you can comment on or make changes to this bug.
Description seven 2019-03-17 08:09:58 UTC
Created attachment 150019 [details]
Sample with hint where i put red arrow

In Arabic version libreoffice icon numeric list on tools box look not good.
Showed like mirror, but it not good. Better to show arabic (Modern) or Arabic like used in arabic countries (indo-arabic, индо арабский - i don`t know to explain in text, не знаю как объяснить текстом)
Comment 1 Adolfo Jayme 2019-03-18 14:39:31 UTC
This is fixable by adding a language-specific icon under /cmd (e.g. cmd/ar and cmd/fa; icon artists, be aware that some RTL languages use Hindu-Arabic numerals and others use Eastern Arabic numerals, and the icons should reflect that).
Comment 2 seven 2019-03-20 15:58:34 UTC
Created attachment 150125 [details]
More correct test - problem in locale

Any user language interface, but for locale Arabic (UAE), and may be same for other
Comment 3 Xisco Faulí 2019-03-22 11:36:16 UTC
This is also covered by bug 70102
Comment 4 andreas_k 2019-04-05 12:36:01 UTC
If you make me an list which icons should have an specific RTL style, than I will add them to the language folders (ar, he, fa and ur).
Comment 5 Commit Notification 2019-04-24 08:34:04 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/219be4581adc26189f863d62735ee10e8a7c31c9%5E%21

tdf#124127 improve Arabic icon theme support

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 andreas_k 2019-04-24 08:37:03 UTC
Please check if it will work now. The icons are available.
Comment 7 Commit Notification 2019-05-09 11:18:16 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/639aba04ce74c3055b3b1c7ea4cd46a06da1f8ed%5E%21

KJ:^large icon(tdf#124808),+full RTL(AR,HE,FA,UR support (tdf#124127)

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-05-23 10:58:19 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ebbcb090386e3e0d2360704f24f2bf0871d02396%5E%21

elementary:+ missing menu entries, fix for RTL UI/tdf#124127

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-06-17 18:42:11 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c8f9bd9e1bc4c077d3fc3038d3a7147de0dfb0c7%5E%21

KJ & elementary: Fix for tdf#89884, tdf#124127

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-06-17 18:58:59 UTC
rizmut committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/2ba589147cfd30b3cd7ff815f04a33520e2562c4%5E%21

KJ & elementary: Fix for tdf#89884, tdf#124127

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Rizal Muttaqin 2019-06-18 03:25:46 UTC
(In reply to Adolfo Jayme from comment #1)
> This is fixable by adding a language-specific icon under /cmd (e.g. cmd/ar
> and cmd/fa; icon artists, be aware that some RTL languages use Hindu-Arabic
> numerals and others use Eastern Arabic numerals, and the icons should
> reflect that).

Could someone please tell me which RTL languages use Hindu-Arabic and which one use Easter-Arabic?
Comment 12 Rizal Muttaqin 2019-06-18 03:26:17 UTC Comment hidden (obsolete)
Comment 13 Commit Notification 2019-06-29 22:20:43 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9f360ee0f72f9310bd689ff3c0c947cc99aeb19f%5E%21

Breeze: Fix for  tdf#126155, tdf#124127, tdf#89884,

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-06-29 22:25:51 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/4d82819b1e3bcb17ec29e64db5d176a64af06075%5E%21

Breeze: Fix for  tdf#126155, tdf#124127, tdf#89884,

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.